 
#include<stdio.h>
main(){
  int broj,j,d,s,h,dh,zbir,pro;
  printf("uneti petocifren broj:\n");
  scanf("%d",&broj);
  

  if(broj>=10000 && broj<=99999){
    j=broj%10;
    
    d=(broj/10)%10;
    
    s=(broj/100)%10;
    
    h=(broj/1000)%10;
    
    dh=(broj/10000)%10;
    
    if((j<d && d<s && s<h && h<dh) || (j>d && d>s && s>h && h>dh )){
      zbir=0;
      zbir=(j+d+s+h+dh);
      printf("zbir je %d",zbir);
      return 0;
    }
     if((j>d && d<s && s>h && h<dh) || (j<d && d>s && s<h && h>dh)){
	pro=1;
	pro=j*d*s*h*dh;
	printf("proizvod je %d",pro);
	return 0;
    }
    else printf("%d",broj);
    
    
  }
  else printf("-1");
return 0;
}